/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;
import net.northking.cctp.dw.db.dao.BugOverallTendencyChartDao;
import net.northking.cctp.dw.db.entity.BugOverallTendencyChart;
import net.northking.cctp.dw.db.entity.BugStatusStatistics;
import net.northking.cctp.dw.db.service.BugOverallTendencyChartService;
import net.northking.cctp.dw.db.service.BugTemplateStatusService;
import net.northking.cctp.dw.db.service.SynBugInfoService;
import net.northking.cctp.dw.dto.BugOverallTendencyChartDetailDto;
import net.northking.cctp.dw.dto.BugOverallTendencyChartDto;
import net.northking.cctp.dw.dto.BugOverallTendencyChartQueryDto;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 跨系统缺陷趋势图
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-24 11:21:08  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "BugOverallTendencyChartServiceImpl")
public class BugOverallTendencyChartServiceImpl extends PaginationService<BugOverallTendencyChart> implements BugOverallTendencyChartService
{
private static final Logger logger = LoggerFactory.getLogger(BugOverallTendencyChartServiceImpl.class);

  private final BugOverallTendencyChartDao bugOverallTendencyChartDao;
  @Autowired
  private SynBugInfoService synBugInfoService;
  @Autowired
  private BugTemplateStatusService bugTemplateStatusService;

  public BugOverallTendencyChartServiceImpl(BugOverallTendencyChartDao bugOverallTendencyChartDao) {this.bugOverallTendencyChartDao = bugOverallTendencyChartDao;}

  public BasicDao<BugOverallTendencyChart> getDao() {return bugOverallTendencyChartDao;}

  public BugOverallTendencyChart createEntity() { return new BugOverallTendencyChart();}

  @Override
  protected void beforeInsert(BugOverallTendencyChart bugOverallTendencyChart) {

  }

  @Override
  protected void beforeUpdate(BugOverallTendencyChart bugOverallTendencyChart) {

  }

  @Override
  public List<BugOverallTendencyChartDetailDto> listQuery(BugOverallTendencyChartQueryDto bugOverallTendencyChartQueryDto) {
    return bugOverallTendencyChartDao.listQuery(bugOverallTendencyChartQueryDto);
  }

  @Override
  public void insertBatch() {
    bugOverallTendencyChartDao.insertBatch();
  }

  @Override
  public List<BugOverallTendencyChartDto> getProjectList() {
    return bugOverallTendencyChartDao.getProjectList();
  }

  @Override
  public Integer insertBatchByProjectId(BugOverallTendencyChartDto bugOverallTendencyChartDto) {
    return bugOverallTendencyChartDao.insertBatchByProjectId(bugOverallTendencyChartDto);
  }

  @Override
  public Integer deleteByExampleByProjectIds(BugOverallTendencyChart bugOverallTendencyChart) {
    return bugOverallTendencyChartDao.deleteByExampleByProjectIds(bugOverallTendencyChart);
  }

  @Override
  public List<BugOverallTendencyChartDetailDto> queryUnsolvedBugDataByProjectId(String projectId) {
    return bugOverallTendencyChartDao.queryUnsolvedBugDataByProjectId(projectId);
  }

  @Override
  public List<BugStatusStatistics> queryAllUnsolvedBugDataSortedByTenantId(String tenantId,List<String> projectIds) {
    return bugOverallTendencyChartDao.queryAllUnsolvedBugDataSortedByTenantId(tenantId,projectIds);
  }

}

